OPENARENA-SERVER(6)

NAME
openarena-server - OpenArena dedicated server

SYNOPSIS
openarena-server [-h|--help] [-q|--quiet] [+set option value]...

DESCRIPTION
openarena-server is the dedicated server for the first-person shooter OpenArena.

OPTIONS
The wrapper script used for OpenArena in Debian accepts these options:

-h, --help
    Display a short help summary

-q, --quiet
    Disable all output

Any console command can also be prefixed with + and used as a command-line option (run the server in a terminal to use the console). The +set command is generally the most useful to use on the command line.

Options that can be set with +set (note that this is not a full list!) include:

capturelimit <value>

dedicated <bool>

fraglimit <value>

fs_basepath <string>

fs_game <value>

g_allowVote <bool>

g_banIPs <IP address>

g_doWarmup <bool>

g_friendlyFire <bool>

g_gametype <bool>

g_gravity <value>

g_inactivity <value>

g_maxGameClients <value>

g_motd <string>

g_needpass <bool>

g_password <string>

g_quadfactor <value>

g_weaponrespawn <value>

net_ip <IP adress>

net_port <value>

net_qport <value>

nextmap <string>

sv_allowDownload <bool>

sv_floodProtect <bool>

sv_fps <value>

sv_hostname <string>

sv_maxclients <value>

sv_maxPing <value> (Measurd in milliseconds)

sv_minPing <value> (Measurd in milliseconds)

sv_pure <bool>

timelimit <value> (Measured in minutes)

ENVIRONMENT
The wrapper script used to launch OpenArena allows it to be debugged by setting environment variables.

OPENARENA_DEBUGGER=command
    A debugger or other prefix to prepend to the OpenArena command line, such as strace; overridden by OPENARENA_BACKTRACE

OPENARENA_BACKTRACE=1
    Use gdb(1) to get a backtrace if OpenArena crashes (the gdb package must be installed for this to work)

SEE ALSO
openarena(6), ioquake3-server(6), /usr/share/doc/openarena

AUTHOR
OpenArena was written by the OpenArena Team. The engine used is a modified ioQuake3, originally created by id Software and now maintained by the ioQuake3 community.

This manual page was written by Bruno "Fuddl" Kleinert <fuddl@debian.org> and Simon McVittie <smcv@debian.org>, for the Debian project (but may be used by others).